Package com.documentum.operations

# Interface IDfCancelCheckoutNode

All Superinterfaces:
  `IDfOperationNode`

public interface IDfCancelCheckoutNode extends IDfOperationNode
Represents a node in a cancel checkout operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getKeepLocalFile()`
  Returns a boolean value indicating whether or not the local content file should be preserved or deleted as part of the cancel checkout operation.
  `IDfSysObject`
  `getObject()`
  Returns the IDfSysObject that is the subject of this operation node.
  `IDfId`
  `getObjectId()`
  Returns the docbase object Id of the IDfSysObject for this node.
  `void`
  `setKeepLocalFile(boolean keepFile)`
  Sets a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.

  ### Methods inherited from interface com.documentum.operations.IDfOperationNode

  `getChildren, getEdgeProperties, getId, getOperation, getParent, getPersistentProperties, getProperties, isRoot`

- ## Method Details

  - ### getObject

    IDfSysObject getObject() throws DfException
    Returns the IDfSysObject that is the subject of this operation node.
    Returns:
      IDfSysObject for this node.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject`

  - ### getObjectId

    IDfId getObjectId() throws DfException
    Returns the docbase object Id of the IDfSysObject for this node.
    Returns:
      object Id of the IDfSysObject for this node.
    Throws:
      `DfException`
    See Also:
      - `IDfTypedObject.getObjectId()`

  - ### getKeepLocalFile

    boolean getKeepLocalFile() throws DfException
    Returns a boolean value indicating whether or not the local content file should be preserved or deleted as part of the cancel checkout operation.
    Returns:
      returns true if the local content file will not be deleted.
    Throws:
      `DfException`

  - ### setKeepLocalFile

    void setKeepLocalFile(boolean keepFile) throws DfException
    Sets a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
    Parameters:
      `keepFile` - pass true to cause the local content file to not be deleted.
    Throws:
      `DfException`